ECalBackendSExp
3
LIBEDATA-CAL Library

# ECalBackendSExp

Regular expressions for calendar searches.

## Synopsis

    ECalBackendSExp*    e_cal_backend_sexp_new              (const char *text);
    const char*         e_cal_backend_sexp_text             (ECalBackendSExp *sexp);
    gboolean            e_cal_backend_sexp_match_object     (ECalBackendSExp *sexp,
                                                             const char *object,
                                                             ECalBackend *backend);
    gboolean            e_cal_backend_sexp_match_comp       (ECalBackendSExp *sexp,
                                                             ECalComponent *comp,
                                                             ECalBackend *backend);
    ESExpResult*        e_cal_backend_sexp_func_time_now    (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);
    ESExpResult*        e_cal_backend_sexp_func_make_time   (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);
    ESExpResult*        e_cal_backend_sexp_func_time_add_day
                                                            (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);
    ESExpResult*        e_cal_backend_sexp_func_time_day_begin
                                                            (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);
    ESExpResult*        e_cal_backend_sexp_func_time_day_end
                                                            (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);

## Description

## Details

### e_cal_backend_sexp_new ()

    ECalBackendSExp*    e_cal_backend_sexp_new              (const char *text);

`text` :

Returns :

### e_cal_backend_sexp_text ()

    const char*         e_cal_backend_sexp_text             (ECalBackendSExp *sexp);

`sexp` :

Returns :

### e_cal_backend_sexp_match_object ()

    gboolean            e_cal_backend_sexp_match_object     (ECalBackendSExp *sexp,
                                                             const char *object,
                                                             ECalBackend *backend);

`sexp` :

`object` :

`backend` :

Returns :

### e_cal_backend_sexp_match_comp ()

    gboolean            e_cal_backend_sexp_match_comp       (ECalBackendSExp *sexp,
                                                             ECalComponent *comp,
                                                             ECalBackend *backend);

`sexp` :

`comp` :

`backend` :

Returns :

### e_cal_backend_sexp_func_time_now ()

    ESExpResult*        e_cal_backend_sexp_func_time_now    (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);

`esexp` :

`argc` :

`argv` :

`data` :

Returns :

### e_cal_backend_sexp_func_make_time ()

    ESExpResult*        e_cal_backend_sexp_func_make_time   (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);

`esexp` :

`argc` :

`argv` :

`data` :

Returns :

### e_cal_backend_sexp_func_time_add_day ()

    ESExpResult*        e_cal_backend_sexp_func_time_add_day
                                                            (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);

`esexp` :

`argc` :

`argv` :

`data` :

Returns :

### e_cal_backend_sexp_func_time_day_begin ()

    ESExpResult*        e_cal_backend_sexp_func_time_day_begin
                                                            (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);

`esexp` :

`argc` :

`argv` :

`data` :

Returns :

### e_cal_backend_sexp_func_time_day_end ()

    ESExpResult*        e_cal_backend_sexp_func_time_day_end
                                                            (ESExp *esexp,
                                                             int argc,
                                                             ESExpResult **argv,
                                                             void *data);

`esexp` :

`argc` :

`argv` :

`data` :

Returns :